main() 
{ 
	setCullFog(0,6000,0.4,0.4,0.4,0);
	setExpFog(0.001,0.4,0.4,0.4,0);

	ambientPlay("ambient_mp_carentan"); 

	setcvar("sv_night", "0" );

//	level thread maps\mp\_tankdrive_gmi::main();
//	level thread maps\mp\_jeepdrive_gmi::main();
//	level thread maps\mp\_flak_gmi::main();

	maps\mp\_load::main();

	precache();

	planes = getentarray("plane","targetname");
	for(i=0;i<planes.size;i++)
		planes[i] thread maps\mp\move::main("stuka_flyby");

	fx = getentarray("fx","targetname");
	for(i=0;i<fx.size;i++)
		fx[i] thread fx();

	thread maps\mp\snow::main();

	game["allies"] = "american"; 
	game["axis"] = "german"; 

	game["american_soldiertype"] = "airborne"; 
	game["american_soldiervariation"] = "winter"; 
	game["german_soldiertype"] = "wehrmacht"; 
	game["german_soldiervariation"] = "winter"; 

	game["hud_allies_victory_image"]= "gfx/hud/hud@mp_victory_winter_woodland_us.dds";
	game["hud_axis_victory_image"] 	= "gfx/hud/hud@mp_victory_winter_woodland_g.dds";

	game["attackers"] = "axis"; 
	game["defenders"] = "allies"; 

	game["ctf_spectator_obj_text"] = "^2Map By ^1KiLL3R";

	game["layoutimage"] = "winter_woodland";
	game["ctf_layoutimage"] = "winter_woodland";
}

precache()
{
	level.MoveSpeed = 5;

	level._effect["smoke"] = loadfx ("fx/smoke/ash_smoke.efx");
	level._effect["fire"] = loadfx ("fx/map_mp/mp_building_fire_big_2ts.efx");
	level._effect["small_fire"] = loadfx ("fx/map_mp/mp_fireplace_fire.efx");
	level._effect["snow"] = loadfx ("fx/winter_woodland/snow.efx");
}

fx()
{
	if(self.script_noteworthy == "smoke")
	{
		wait 0.3;
		thread loop_fx(self.script_noteworthy, self.origin, 0.6);
	}
	else if(self.script_noteworthy == "fire")
	{
		wait 0.3;
		thread loop_fx(self.script_noteworthy, self.origin, 5);
		self playloopsound ("medfire");
	}
	else if(self.script_noteworthy == "small_fire")
	{
		wait 0.3;
		thread loop_fx(self.script_noteworthy, self.origin, 0.6);
		self playloopsound ("smallfire");
	}
}

loop_fx(fx, origin, waittime)
{
	while(1)
	{
		playfx(level._effect[fx], origin);
		wait waittime;
	}
}